<h1 align="center">Plus plugins</h1>
<p align="center">
<a href="https://flutter.dev/docs/development/packages-and-plugins/favorites" target="_blank" rel="noreferrer noopener">
    <img src="./assets/flutter-favorite-badge.png" width="15%" alt="build">
</a>
</p>

<p align="center">
  <a href="https://github.com/fluttercommunity/plus_plugins/actions?query=workflow%3Aall_plugins">
    <img src="https://github.com/fluttercommunity/plus_plugins/workflows/all_plugins/badge.svg" alt="all_plugins GitHub Workflow Status"/>
  </a>
  <a href="https://twitter.com/FlutterComm">
    <img src="https://img.shields.io/twitter/follow/FlutterComm.svg?colorA=1da1f2&colorB=&label=Follow%20on%20Twitter" alt="Follow on Twitter">
  </a>
</p>

---

PlusPlugins is a set of Flutter plugins that is developed based on plugins, which previously existed
as a part of [Flutter plugins](https://github.com/flutter/plugins), with extra functionalities,
support for more platforms and better maintenance.

[Feedback](https://github.com/fluttercommunity/plus_plugins/issues) and [Pull Requests](https://github.com/fluttercommunity/plus_plugins/pulls) are most welcome!

## Plugins

**Table of contents:**

- [Battery➕ (`battery_plus`)](#battery_plus)
- [Connectivity➕ (`connectivity_plus`)](#connectivity_plus)
- [Device Info➕ (`device_info_plus`)](#device_info_plus)
- [Network Info➕ (`network_info_plus`)](#network_info_plus)
- [Package Info➕ (`package_info_plus`)](#package_info_plus)
- [Sensor➕ (`sensors_plus`)](#sensors_plus)
- [Share➕ (`share_plus`)](#share_plus)
- [Android Alarm Manager➕ (`android_alarm_manager_plus`)](#android_alarm_manager_plus)
- [Android Intent➕ (`android_intent_plus`)](#android_intent_plus)

---

### `battery_plus`

> [![battery_plus][battery_plus_badge_pub]][battery_plus] [![pub points][battery_plus_badge_pub_points]][battery_plus_pub_points]

Flutter plugin for accessing information about the battery state(full, charging, discharging) on Android and iOS.

[[readme][battery_plus_readme]] [[code][battery_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅   | ✅  |  ✅   | ✅  |  ✅   |  ✅  |

---

### `connectivity_plus`

> [![connectivity_plus][connectivity_plus_badge_pub]][connectivity_plus] [![pub points][connectivity_plus_badge_pub_points]][connectivity_plus_pub_points]

Flutter plugin for discovering the state of the network (WiFi &
mobile/cellular) connectivity on Android and iOS.

[[readme][connectivity_plus_readme]] [[code][connectivity_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅    | ✅  |  ✅   | ✅  |  ✅   |   ✅    |

---

### `device_info_plus`

> [![device_info_plus][device_info_plus_badge_pub]][device_info_plus] [![pub points][device_info_plus_badge_pub_points]][device_info_plus_pub_points]

Flutter plugin providing detailed information about the device
(make, model, etc.), and Android or iOS version the app is running on.

[[readme][device_info_plus_readme]] [[code][device_info_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅    | ✅  |  ✅   | ✅  |  ✅   |   ✅    |

---

### `network_info_plus`

> [![network_info_plus][network_info_plus_badge_pub]][network_info_plus] [![pub points][network_info_plus_badge_pub_points]][network_info_plus_pub_points]

Flutter plugin for discovering network info.

[[readme][network_info_plus_readme]] [[code][network_info_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅    | ✅   |  ✅   | ❌  |  ✅   |   ✅    |

---

### `package_info_plus`

> [![package_info_plus][package_info_plus_badge_pub]][package_info_plus] [![pub points][package_info_plus_badge_pub_points]][package_info_plus_pub_points]

Flutter plugin for querying information about the application
package, such as CFBundleVersion on iOS or versionCode on Android.

[[readme][package_info_plus_readme]] [[code][package_info_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅    | ✅  |  ✅   | ✅  |  ✅   |   ✅    |

---

### `sensors_plus`

> [![sensors_plus][sensors_plus_badge_pub]][sensors_plus] [![pub points][sensors_plus_badge_pub_points]][sensors_plus_pub_points]

Flutter plugin for accessing accelerometer, gyroscope, magnetometer and barometer sensors.

[[readme][sensors_plus_readme]] [[code][sensors_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅    | ✅  |   ❌    | ✅  |   ❌    |    ❌     |

---

### `share_plus`

> [![share_plus][share_plus_badge_pub]][share_plus] [![pub points][share_plus_badge_pub_points]][share_plus_pub_points]

Flutter plugin for sharing content via the platform share UI, using the ACTION_SEND intent on Android and UIActivityViewController on iOS.

[[readme][share_plus_readme]] [[code][share_plus_code]]

#### Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✅   | ✅  |  ✅   | ✅  |  ✅   |   ✅    |

---

### `android_alarm_manager_plus`

> [![android_alarm_manager_plus][android_alarm_manager_plus_badge_pub]][android_alarm_manager_plus] [![pub points][android_alarm_manager_plus_badge_pub_points]][android_alarm_manager_plus_pub_points]

Flutter plugin for accessing the Android AlarmManager service, and running Dart code in the background when alarms fire.

[[readme][android_alarm_manager_plus_readme]] [[code][android_alarm_manager_plus_code]]

#### Platform Support

| Android |
| :-----: |
|   ✅    |

---

### `android_intent_plus`

> [![android_intent_plus][android_intent_plus_badge_pub]][android_intent_plus] [![pub points][android_intent_plus_badge_pub_points]][android_intent_plus_pub_points]

Flutter plugin for launching Android Intents. Not supported on iOS.

[[readme][android_intent_plus_readme]] [[code][android_intent_plus_code]]

#### Platform Support

| Android |
| :-----: |
|   ✅    |

---

## Issues

Please file PlusPlugins specific issues, bugs, or feature requests in our [issue tracker](https://github.com/fluttercommunity/plus_plugins/issues/new).

Plugin issues that are not specific to PlusPlugins can be filed in the [Flutter issue tracker](https://github.com/flutter/flutter/issues/new).

## Contributing

If you wish to contribute a change to any of the existing plugins in this repo,
please review our [contribution guide](CONTRIBUTING.md)
and open a [pull request](https://github.com/fluttercommunity/plus_plugins/pulls).

## Status

This repository is maintained by FlutterCommunity authors. Issues here are answered by maintainers and other community members on GitHub on a best-effort basis.

[battery_plus]: https://pub.dev/packages/battery_plus
[battery_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/battery_plus
[battery_plus_readme]: packages/battery_plus/battery_plus/README.md
[battery_plus_pub_points]: https://pub.dev/packages/battery_plus/score
[battery_plus_badge_pub_points]: https://img.shields.io/pub/points/battery_plus?color=2E8B57&label=pub%20points
[battery_plus_badge_pub]: https://img.shields.io/pub/v/battery_plus.svg
[connectivity_plus]: https://pub.dev/packages/connectivity_plus
[connectivity_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/connectivity_plus
[connectivity_plus_readme]: packages/connectivity_plus/connectivity_plus/README.md
[connectivity_plus_pub_points]: https://pub.dev/packages/connectivity_plus/score
[connectivity_plus_badge_pub_points]: https://img.shields.io/pub/points/connectivity_plus?color=2E8B57&label=pub%20points
[connectivity_plus_badge_pub]: https://img.shields.io/pub/v/connectivity_plus.svg
[network_info_plus]: https://pub.dev/packages/network_info_plus
[network_info_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/network_info_plus
[network_info_plus_readme]: packages/network_info_plus/network_info_plus/README.md
[network_info_plus_pub_points]: https://pub.dev/packages/network_info_plus/score
[network_info_plus_badge_pub_points]: https://img.shields.io/pub/points/network_info_plus?color=2E8B57&label=pub%20points
[network_info_plus_badge_pub]: https://img.shields.io/pub/v/network_info_plus.svg
[android_alarm_manager_plus]: https://pub.dev/packages/android_alarm_manager_plus
[android_alarm_manager_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/android_alarm_manager_plus
[android_alarm_manager_plus_readme]: packages/android_alarm_manager_plus/README.md
[android_alarm_manager_plus_pub_points]: https://pub.dev/packages/android_alarm_manager_plus/score
[android_alarm_manager_plus_badge_pub_points]: https://img.shields.io/pub/points/android_alarm_manager_plus?color=2E8B57&label=pub%20points
[android_alarm_manager_plus_badge_pub]: https://img.shields.io/pub/v/android_alarm_manager_plus.svg
[android_intent_plus]: https://pub.dev/packages/android_intent_plus
[android_intent_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/android_intent_plus
[android_intent_plus_readme]: packages/android_intent_plus/README.md
[android_intent_plus_pub_points]: https://pub.dev/packages/android_intent_plus/score
[android_intent_plus_badge_pub_points]: https://img.shields.io/pub/points/android_intent_plus?color=2E8B57&label=pub%20points
[android_intent_plus_badge_pub]: https://img.shields.io/pub/v/android_intent_plus.svg
[device_info_plus]: https://pub.dev/packages/device_info_plus
[device_info_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/device_info_plus
[device_info_plus_readme]: packages/device_info_plus/device_info_plus/README.md
[device_info_plus_pub_points]: https://pub.dev/packages/device_info_plus/score
[device_info_plus_badge_pub_points]: https://img.shields.io/pub/points/device_info_plus?color=2E8B57&label=pub%20points
[device_info_plus_badge_pub]: https://img.shields.io/pub/v/device_info_plus.svg
[package_info_plus]: https://pub.dev/packages/package_info_plus
[package_info_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/package_info_plus
[package_info_plus_readme]: packages/package_info_plus/package_info_plus/README.md 
[package_info_plus_pub_points]: https://pub.dev/packages/package_info_plus/score
[package_info_plus_badge_pub_points]: https://img.shields.io/pub/points/package_info_plus?color=2E8B57&label=pub%20points
[package_info_plus_badge_pub]: https://img.shields.io/pub/v/package_info_plus.svg
[sensors_plus]: https://pub.dev/packages/sensors_plus
[sensors_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/sensors_plus
[sensors_plus_readme]: packages/sensors_plus/sensors_plus/README.md
[sensors_plus_pub_points]: https://pub.dev/packages/sensors_plus/score
[sensors_plus_badge_pub_points]: https://img.shields.io/pub/points/sensors_plus?color=2E8B57&label=pub%20points
[sensors_plus_badge_pub]: https://img.shields.io/pub/v/sensors_plus.svg
[share_plus]: https://pub.dev/packages/share_plus
[share_plus_code]: https://github.com/fluttercommunity/plus_plugins/tree/main/packages/share_plus
[share_plus_readme]: packages/share_plus/share_plus/README.md
[share_plus_pub_points]: https://pub.dev/packages/share_plus/score
[share_plus_badge_pub_points]: https://img.shields.io/pub/points/share_plus?color=2E8B57&label=pub%20points
[share_plus_badge_pub]: https://img.shields.io/pub/v/share_plus.svg
